(defvar *arch-enemy* nil)
(defun pudding_eater (person)
  (cond ((eq person 'henry) (setf *arch-enemy* 'stupid_lisp_alien)
                            '(curse you lisp alen you ate my pudding))
        ((eq person 'john) (setf  *arch-enemy* 'useless_old_john)
                           '(i hope you die in hell))
        (t '(why you eat my pudding stranger))))
(defun pudding_eater_case (person)
  (case person
    ((henry) (setf *arch-enemy* 'stupid_lisp_alien)
             '(curse you lisp alen you ate my pudding))
    ('john (setf  *arch-enemy* 'useless_old_john)
                       '(i hope you die in hell))
    (otherwise '(why you eat my pudding stranger))))
(defun what_is (x)
  (cond ((oddp x) (+ x 1) '(x_is_odd))
        ((evenp x) () '(x_is_even))
        (t '(unknown))))

